package org.vamsas.client.simpleclient;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.vamsas.client.VorbaIdFactory;

/**
 * @see SimpleDocBinding
 * Additional constructors for 'headless' Vamsas Document access
 * @author jimp
 */
public class SimpleDocument extends SimpleDocBinding {
  private static Log log = LogFactory.getLog(SimpleDocument.class);
  
  private VorbaIdFactory makeDefaultFactory(String name) {
    return IdFactory.getDummyFactory(name);
  }

  public SimpleDocument(String name) {
    vorba = makeDefaultFactory(name);
  }
  public SimpleDocument(VorbaIdFactory Vorba) {
    if (Vorba!=null)
      vorba = Vorba;
    else
      log.error("Invalid SimpleDocument construction - no VorbaIdFactory defined!");
  }
}
